Skip to navigation

List Finding Exclusions

Retrieves a list of finding exclusions in the Eon account.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

projectIdstringRequiredformat: "uuid"

ID of the project the finding exclusions are in. You can get your project ID from the API Credentials page in your global management console.

Query parameters

pageTokenstringOptional

Cursor that points to the first record of the next page of results. Get this value from the previous response, and send it with the same pageSize and request body.

pageSizeintegerOptional1-200Defaults to 50
Maximum number of items to return in the response.

Request

This endpoint expects an object.
filtersobjectOptional
Filter conditions. If omitted, no filtering is applied.

Response

Finding exclusions retrieved.
findingExclusionslist of objects
List of finding exclusions.
totalCountinteger
Total number of finding exclusions that matched the filter options.
nextPageTokenstringOptional
Cursor that points to the first record of the next page of results. Pass this value in the next request.

Errors

400
Bad Request Error